#include <iostream>
#include <algorithm>
#include <vector>
#include <string>
#include <map>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int t; cin >> t;

    vector<int> odgovori(1e2 + 1);


    for (int i = 1; i < 1e2 + 1; i++) {
        map<int, int> ponavljanja;
        for (int j = 1; j < i + 1; j++) {
            int broj;
            if (j <= 9) {
                ponavljanja[j]++;
            }
            else if (j <= 99) {
                broj = (j - j % 10) * (j % 10) / 10;
                ponavljanja[broj]++;
            }
            else if (j <= 999) {
                broj = (j - j % 100) / 100 * (j % 100 - j % 10) / 10 * (j % 10);
                ponavljanja[broj]++;
            }
            else {
                broj = (j - j % 1000) / 1000 * (j % 1000 - j % 100) / 100 * (j % 100 - j % 10) / 10 * (j % 10);
                ponavljanja[broj]++;
            }
        }
        odgovori[i] = ponavljanja.size();
        }

        odgovori[1e2] = 0;

        while (t--) {
            int n; cin >> n;
            cout << odgovori[n] << "\n";
        }

    return 0;
}